cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/youtube-channel-videos-report \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/youtube-channel-videos-report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/youtube-channel-videos-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"videosReport": {
"weekly": {
"totalVideos": 1,
"shorts": 1,
"longs": 0,
"totalViews": 807778288,
"longViews": 233385846,
"shortViews": 574392441
},
"monthly": {
"totalVideos": 7,
"shorts": 5,
"longs": 2,
"totalViews": 3363479320,
"longViews": 1002172572,
"shortViews": 2361306747
},
"quarterly": {
"totalVideos": 23,
"shorts": 17,
"longs": 6,
"totalViews": 10593083263,
"longViews": 2699074154,
"shortViews": 7894009108
},
"yearly": {
"totalVideos": 79,
"shorts": 58,
"longs": 21,
"totalViews": 36084609058,
"longViews": 9675084695,
"shortViews": 26409524362
},
"allTime": {
"totalVideos": 898,
"shorts": 113,
"longs": 785,
"totalViews": 91550723696,
"longViews": 47179746983,
"shortViews": 44370976712
}
}
}
Videos
Videos Report
Get a summaraized video report for any YouTube Channel with a weekly, monthly, quarterly, yearly or all-time stats.
GET
/
wf
/
youtube-channel-videos-report
cURL
{
"status": {
"code": 200,
"message": "OK"
},
"videosReport": {
"weekly": {
"totalVideos": 1,
"shorts": 1,
"longs": 0,
"totalViews": 807778288,
"longViews": 233385846,
"shortViews": 574392441
},
"monthly": {
"totalVideos": 7,
"shorts": 5,
"longs": 2,
"totalViews": 3363479320,
"longViews": 1002172572,
"shortViews": 2361306747
},
"quarterly": {
"totalVideos": 23,
"shorts": 17,
"longs": 6,
"totalViews": 10593083263,
"longViews": 2699074154,
"shortViews": 7894009108
},
"yearly": {
"totalVideos": 79,
"shorts": 58,
"longs": 21,
"totalViews": 36084609058,
"longViews": 9675084695,
"shortViews": 26409524362
},
"allTime": {
"totalVideos": 898,
"shorts": 113,
"longs": 785,
"totalViews": 91550723696,
"longViews": 47179746983,
"shortViews": 44370976712
}
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
masterID: the id of the Social Account, to get this you need to call the endpoint Get Profile by URL OR Get Channel Details
If you would like to get the channel profile and details set this to true
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I